Name:           quotatool
Version:        1.6.2
Release:    2%{?dist}
Summary:        Command-line utility for filesystem quotas
License:        GPLv2
URL:            http://quotatool.ekenberg.se
Source0:        http://quotatool.ekenberg.se/%{name}-%{version}.tar.gz
Patch0:         https://github.com/ekenberg/quotatool/commit/ad6944baaa73cf6230f9a2bef2399b31c2130547.patch
Patch1:         https://github.com/ekenberg/quotatool/commit/09695c944947d804cbe3b5c7e2c854953984413e.patch
Patch2:         https://github.com/ekenberg/quotatool/commit/ca68628de86d18fda67ebcc4191c2b37891ed36e.patch
Patch3:         https://github.com/ekenberg/quotatool/commit/58cdec3cdc6ae94864891a4e179ad68d4d136864.patch
Patch4:         https://github.com/ekenberg/quotatool/commit/af27842d1a6640d932407999ceec57f54a225a78.patch

BuildRequires:  make
BuildRequires:  gcc

%description
Quotatool is a utility to manipulate filesystem quotas from the commandline.
Most quota-utilities are interactive, requiring manual intervention from the
user. Quotatool on the other hand is not, making it suitable for use in
scripts and other non-interactive situations.

%prep
%setup -q
%patch0 -p1 -b .fix-compiler-warnings
%patch1 -p1 -b .fix-implicit-fallthrough
%patch2 -p1 -b .make-sure-make-clean-works-if-configure-has-not-run
%patch3 -p1 -b .improved-error-message
%patch4 -p1 -b .fix-compiler-warnings-again

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8
%make_install INSTALL_PROGRAM="%{_bindir}/install -p"

%files
%doc AUTHORS ChangeLog COPYING README TODO
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.6.2-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-1
- initial build
